# interface IEventDispatcher

#### package openfl.events

#### implemented by EventDispatcher

Available on all platforms

### Methods

###

`addEventListener (type:String, listener:Dynamic ‑> Void, useCapture:Bool = false, priority:Int = 0, useWeakReference:Bool = false):Void`

###

`dispatchEvent (event:Event):Bool`

###

`hasEventListener (type:String):Bool`

###

`removeEventListener (type:String, listener:Dynamic ‑> Void, useCapture:Bool = false):Void`

###

`willTrigger (type:String):Bool`